Sign inGet started

Access keys

GET
/organizations/{organizationId}/access-keys
List the access keys that are created for this organization.
Queryparameters
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
Antwoord-payload
results
array of object
verplicht
List of access keys.
Onderliggende attributen tonen
results.id
string
verplicht
ID of the access key.
results.organizationId
string
verplicht
ID of the organization that owns the access key.
results.name
string
verplicht
Access key name.
results.type
string
Possible values: user, workspace, workspace-scim, service, organization
results.description
string
Access key description.
results.suffix
string
verplicht
Access key suffix.
results.lastUsedAt
string
When the access key was last used.
results.createdAt
string
verplicht
When the access key was created.
results.updatedAt
string
When the access key was last updated.
results.roleIds
array of string
IDs of IAM roles attached to the access key.
results.roleRefs
array of object
The list of IAM roles assigned to the access key.
Onderliggende attributen tonen
results.roleRefs.id
string
verplicht
results.roleRefs.type
string
verplicht
Possible values: organization, managed
results.roleRefs.workspaces
array of string
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
Codevoorbeeld
curl -X GET 'https://api.bird.com/organizations/{organizationId}/access-keys' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
POST
/organizations/{organizationId}/access-keys
Create a new access key for the organization.
Verzoek-payload
name
string
verplicht
Access key name.
description
string
verplicht
Access key description.
roleIds
array of string
IAM roles attached to this access key.
roleRefs
array of object
The list of IAM roles to assign to the access key.
Onderliggende parameters tonen
roleRefs.id
string
verplicht
roleRefs.type
string
verplicht
Possible values: organization, managed
roleRefs.workspaces
array of string
Antwoord-payload
accessKey
object
verplicht
The access key record.
Onderliggende attributen tonen
accessKey.id
string
verplicht
ID of the access key.
accessKey.organizationId
string
verplicht
ID of the organization that owns the access key.
accessKey.name
string
verplicht
Access key name.
accessKey.type
string
Possible values: user, workspace, workspace-scim, service, organization
accessKey.description
string
Access key description.
accessKey.suffix
string
verplicht
Access key suffix.
accessKey.lastUsedAt
string
When the access key was last used.
accessKey.createdAt
string
verplicht
When the access key was created.
accessKey.updatedAt
string
When the access key was last updated.
accessKey.roleIds
array of string
IDs of IAM roles attached to the access key.
accessKey.roleRefs
array of object
The list of IAM roles assigned to the access key.
Onderliggende attributen tonen
accessKey.roleRefs.id
string
verplicht
accessKey.roleRefs.type
string
verplicht
Possible values: organization, managed
accessKey.roleRefs.workspaces
array of string
token
string
verplicht
The token that can be used for authentication
Codevoorbeeld
curl -X POST 'https://api.bird.com/organizations/{organizationId}/access-keys' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/organizations/{organizationId}/access-keys/{accessKeyId}
Retrieve a single access key.
Antwoord-payload
id
string
verplicht
ID of the access key.
organizationId
string
verplicht
ID of the organization that owns the access key.
name
string
verplicht
Access key name.
type
string
Possible values: user, workspace, workspace-scim, service, organization
description
string
Access key description.
suffix
string
verplicht
Access key suffix.
lastUsedAt
string
When the access key was last used.
createdAt
string
verplicht
When the access key was created.
updatedAt
string
When the access key was last updated.
roles
array of object
verplicht
IAM roles attached to this access key.
Onderliggende attributen tonen
roles.accessKeysDependencyCount
integer
verplicht
The number of access keys this role is assigned to.
roles.actions
array of object
Actions this role contains.
Onderliggende attributen tonen
roles.actions.name
string
verplicht
The name of the action.
roles.actions.type
string
verplicht
The type that the action belongs to.
roles.createdAt
string
verplicht
When this role was created.
roles.description
string
Role description.
roles.id
string
verplicht
ID of the role.
roles.metadata
object
Metadata for the IAM Role.
Onderliggende attributen tonen
roles.metadata.clouds
array of string
roles.name
string
verplicht
Role name.
roles.organizationId
string
ID of the organization to which this role belongs.
roles.policies
array of object
verplicht
IAM Policies this role contains.
Onderliggende attributen tonen
The IAM policy record.
roles.policies.createdAt
string
verplicht
When the IAM Policy was created.
roles.policies.definitions
array of object
verplicht
List of IAM Policy definitions.
Onderliggende attributen tonen
roles.policies.definitions.actions
array of string
verplicht
A list of actions
roles.policies.definitions.conditionsAll
array of object
Onderliggende attributen tonen
roles.policies.definitions.conditionsAll.any
object
roles.policies.definitions.effect
string
verplicht
The outcome of the definition if a combination of the resources and actions match.
Possible values: allow, deny
roles.policies.definitions.resources
array of string
verplicht
A list of resources
roles.policies.description
string
IAM Policy description.
roles.policies.id
string
verplicht
ID of the IAM Policy.
roles.policies.metadata
object
Metadata for the IAM Policy.
Onderliggende attributen tonen
roles.policies.metadata.apps
array of string
roles.policies.metadata.clouds
array of string
roles.policies.metadata.groups
array of string
roles.policies.name
string
verplicht
IAM Policy name.
roles.policies.rolesDependencyCount
integer
The number of IAM Roles that depend on this IAM policy.
roles.policies.scope
string
verplicht
The scope to which this policy applies.
Possible values: organization, root
roles.policies.updatedAt
string
verplicht
When the IAM Policy was last updated.
roles.policies.usersDependencyCount
integer
The number of users that depend on this IAM policy.
roles.type
string
verplicht
Whether this role is managed by MessageBird or by the organization.
Possible values: organization, managed
roles.updatedAt
string
verplicht
When this role was last updated.
roles.usersDependencyCount
integer
verplicht
The number of users this role is assigned to.
Codevoorbeeld
curl -X GET 'https://api.bird.com/organizations/{organizationId}/access-keys/{accessKeyId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
DELETE
/organizations/{organizationId}/access-keys/{accessKeyId}
Remove the access key from the organization.
Codevoorbeeld
curl -X DELETE 'https://api.bird.com/organizations/{organizationId}/access-keys/{accessKeyId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
PATCH
/organizations/{organizationId}/access-keys/{accessKeyId}
Update the access key's properties.
Verzoek-payload
name
string
Access key name.
description
string
Access key description.
roleIds
array of string
IAM roles attached to this access key.
roleRefs
array of object
The list of IAM roles to assign to the access key.
Onderliggende parameters tonen
roleRefs.id
string
verplicht
roleRefs.type
string
verplicht
Possible values: organization, managed
roleRefs.workspaces
array of string
Antwoord-payload
id
string
verplicht
ID of the access key.
organizationId
string
verplicht
ID of the organization that owns the access key.
name
string
verplicht
Access key name.
type
string
Possible values: user, workspace, workspace-scim, service, organization
description
string
Access key description.
suffix
string
verplicht
Access key suffix.
lastUsedAt
string
When the access key was last used.
createdAt
string
verplicht
When the access key was created.
updatedAt
string
When the access key was last updated.
roleIds
array of string
IDs of IAM roles attached to the access key.
roleRefs
array of object
The list of IAM roles assigned to the access key.
Onderliggende attributen tonen
roleRefs.id
string
verplicht
roleRefs.type
string
verplicht
Possible values: organization, managed
roleRefs.workspaces
array of string
Codevoorbeeld
curl -X PATCH 'https://api.bird.com/organizations/{organizationId}/access-keys/{accessKeyId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'